> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Add premium webhook user



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json post /public/v1/premium/webhook/users
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /public/v1/premium/webhook/users:
    post:
      tags:
        - premium
      summary: Add premium webhook user
      operationId: add_webhook_user
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PremiumWebhookUserAddRequest'
        required: true
      responses:
        '201':
          description: Tracked user added successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PremiumWebhookUserMutationResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '403':
          description: Premium plan required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
      security:
        - api_key_header: []
        - api_key_query: []
components:
  schemas:
    PremiumWebhookUserAddRequest:
      type: object
      properties:
        enabled:
          type: boolean
        events:
          type: array
          items:
            $ref: '#/components/schemas/PremiumWebhookEvent'
        name:
          type:
            - string
            - 'null'
        puuid:
          type:
            - string
            - 'null'
        tag:
          type:
            - string
            - 'null'
    PremiumWebhookUserMutationResponse:
      type: object
      required:
        - data
      properties:
        data:
          $ref: '#/components/schemas/PremiumWebhookUserMutationData'
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    PremiumWebhookEvent:
      type: string
      enum:
        - MATCH
        - MMR
    PremiumWebhookUserMutationData:
      type: object
      required:
        - success
        - user
      properties:
        success:
          type: boolean
        user:
          $ref: '#/components/schemas/PremiumWebhookUserResponse'
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    PremiumWebhookUserResponse:
      type: object
      required:
        - id
        - puuid
        - region
        - enabled
        - events
        - created_at
        - updated_at
      properties:
        created_at:
          type: integer
          format: int64
        enabled:
          type: boolean
        events:
          type: array
          items:
            $ref: '#/components/schemas/PremiumWebhookEvent'
        id:
          type: string
        last_checked_at:
          type:
            - integer
            - 'null'
          format: int64
        last_match:
          type:
            - string
            - 'null'
        last_mmr:
          type:
            - integer
            - 'null'
          format: int32
        puuid:
          type: string
        region:
          type: string
        updated_at:
          type: integer
          format: int64
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: Authorization
    api_key_query:
      type: apiKey
      in: query
      name: api_key

````